Bug 30561 - exim and group mail
exim and group mail
Status: CLOSED WONTFIX
Product: Red Hat Powertools
Classification: Retired
Component: exim (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-04 12:30 EST by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-26 09:23:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-03-04 12:30:31 EST
Hi, Tim.
Returning to our previous discussion:
It probably makes sense to run exim 
as exim.exim , not as mail.mail

/usr/src/redhat/SOURCES/Local-Makefile.patch
+EXIM_UID=8
+EXIM_GID=12

There is a plenty of setud programs which have mail user and/or group:
/usr/bin/procmail
/usr/bin/lockfile
/bin/mail

and probably various other mail related programs.
If there is a bug in any of them then they can read 
memory of exim process and thus do anything to it.

How hard (from organizational perspective)
is to get new UID.GID exim.exim 
in RedHat distribution,

as it was suggested by exim author Phil Hazel.
Comment 1 Need Real Name 2001-03-04 12:58:43 EST
In addition:
change uid.gid to exim.exim may require change in permissions 
of the following directories

/var/log/exim
/var/spool/exim
/var/spool/exim/*
Comment 2 Need Real Name 2001-03-04 13:03:55 EST
Another issue:
looking at exim.spec I see:

%defattr(-,root,mail)
%config(noreplace) /etc/exim.conf
%config(noreplace) /etc/aliases

why the owner of config files is root.mail 
and not root.root
Comment 3 Tim Waugh 2001-03-04 17:22:39 EST
Yes. (exim-3.22-10 fixes up the permissions on /var/spool/exim to mail.mail
already, which it wasn't doing before.)

Next time around I'll see about creating exim.exim, but for this release I think
it might be too late.
Comment 4 Tim Waugh 2003-03-26 09:23:49 EST
We no longer ship exim.

Note You need to log in before you can comment on or make changes to this bug.